The pam_unix module doesn't log successful password changes, only failed
ones.  This could be important information, so log it.

--- Linux-PAM-0.75/modules/pam_unix/pam_unix_passwd.c	Fri Feb  8 19:31:57 2002
+++ Linux-PAM-0.75/modules/pam_unix/pam_unix_passwd.c	Fri Feb  8 19:34:57 2002
@@ -337,7 +337,7 @@
 	return retval;
 }
 
-static int _update_passwd(const char *forwho, const char *towhat)
+static int _update_passwd(pam_handle_t *pamh, const char *forwho, const char *towhat)
 {
 	struct passwd *tmpent = NULL;
 	struct stat st;
@@ -388,6 +388,8 @@
 	else
 		unlink(PW_TMPFILE);
 
+	_log_err(LOG_NOTICE, pamh, "password changed for %s", forwho);
+
 	free(what);
 
 	return retval;
@@ -528,6 +530,8 @@
 			fprintf(stderr, "Error while changing NIS password.\n");
 			retval = PAM_TRY_AGAIN;
 		}
+		_log_err(LOG_NOTICE, pamh, "password%s changed for %s on %s",
+			 (err || status) ? " not" : "", pwd->pw_name, master);
 		printf("\nThe password has%s been changed on %s.\n",
 		       (err || status) ? " not" : "", master);
 
@@ -555,9 +559,9 @@
 		if (on(UNIX_SHADOW, ctrl)||(strcmp(pwd->pw_passwd, "x") == 0)) {
 			retval = _update_shadow(forwho, towhat);
 			if (retval == PAM_SUCCESS)
-				retval = _update_passwd(forwho, "x");
+				retval = _update_passwd(pamh, forwho, "x");
 		} else {
-			retval = _update_passwd(forwho, towhat);
+			retval = _update_passwd(pamh, forwho, towhat);
 		}
 	}
 
